### Method

# Secret Item set_attributes_finish

#### Declaration [src]

    gboolean
    secret_item_set_attributes_finish (
      SecretItem* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete operation to set the attributes of this item.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the change was successful or not.